Page MenuHomePhabricator

Recent changes patrol rights and New pages patrol Rights for sa.wikipedia
Closed, ResolvedPublic

Description

Hi ! Now sa.wikipedia don't have Recent changes patrol rights and New pages patrol Rights. So We are requesting to enable this rights for sa.wikipedia.org. Our community talk is here Thank you.

Event Timeline

NehalDaveND updated the task description. (Show Details)
NehalDaveND raised the priority of this task from to Needs Triage.
NehalDaveND assigned this task to TTO.
NehalDaveND added a subscriber: NehalDaveND.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptOct 31 2015, 11:28 AM
TTO removed TTO as the assignee of this task.Oct 31 2015, 11:30 AM
TTO set Security to None.
TTO added a subscriber: TTO.

We will await the outcome of the community discussion.

@TTO Hi ! if there is other process is remains, than please guide me. as you can see above community decision is put here. :)

@NehalDaveND I can do it, but I can't read that language, so I need a few more details. You need the right patrol? If yes, for which usergroup? And who should have the ability to assign or remove this group?

@Luke081515 thank you for this. I am giving this information.

  1. Yes this is patrol right and in Sanskrit it called "समीक्षकः"
  1. This patrol right's group will be "समीक्षकः"
  1. Ability to assign or remove this group is Admin of sa.wikipedia.

(names in your languages are not needed, the config use english words). I guess I will upload a patch in the afternoon or the evening (CET).

Luke081515 triaged this task as Normal priority.Nov 2 2015, 5:07 PM

Change 250454 had a related patch set uploaded (by Luke081515):
Add patroller group to sawiki

https://gerrit.wikimedia.org/r/250454

@Luke081515 I have reviewed this patch. Please guide me if any other process is remain. :)

@Luke081515 Sorry by mistake is click on "Up to Change" after that I can't see second patch. I hadn't idea for this. Please forgive me if there is done some mistake by me. and I have question that, In Patrolled rights other two Recent changes patrol rights and New pages patrol Rights are included ? or we have to do different process for this ? :)

With the right "patrol" you can review each change, so you don't have to start a different process ;).

okay ! Than you upload this patch after this that right is enabled or after some process it will be enabled ?

The procedure:

  1. Review of the patch by a member with +2 gerrit access
  2. Patch gets merged
  3. The patchs gets deployed at your wiki
  4. You got the right.

I will add this patch for a SWAT deployment at thursday.

Thank you very much. Knowledge of this process will help me lot. :)

hi @Luke081515 :) ! sorry to disturb you but I am only remind you for this deployment work.

Please do not ping people every other workday. It creates notifications which someone needs to read. Thanks.

A SWAT for that patch is in progress. At last thursday, we have problems with SWAT, so this patch will be deployed today, or tomorrow, I guess.

Change 250454 merged by jenkins-bot:
Add patroller group to sawiki

https://gerrit.wikimedia.org/r/250454

Krenair closed this task as Resolved.Nov 9 2015, 4:52 PM
Krenair added a subscriber: Krenair.